For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all residents
        • GETGet a resident by ID
        • PUTUpdate Resident: MRI
        • POSTCreate Resident Note: MRI
        • POSTCreate Resident file: MRI - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
MRIResidents

Update Resident: MRI

PUT
/v1/residents/mri/:resident_id
PUT
/v1/residents/mri/:resident_id
$curl -X PUT https://api.propexo.com/v1/residents/mri/resident_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "last_name": "Johnson"
>}'
1{
2 "meta": {
3 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
4 },
5 "result": {
6 "resident_id": "r1234567-89ab-cdef-0123-456789abcdef",
7 "last_name": "Johnson",
8 "lead_source_id": "lead-9876543210",
9 "first_name": "Michael",
10 "middle_initial": "T",
11 "phone_1": "+1-555-123-4567",
12 "date_of_birth": "1985-07-23",
13 "qualified": true,
14 "gender": "MALE",
15 "guarantor": false,
16 "monthly_income_in_cents": 450000,
17 "email_1": "michael.johnson@example.com",
18 "no_checks_in_cash_receipts": false
19 }
20}
Update Resident: MRI | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentInformation |
Was this page helpful?
Previous

Create Resident Note: MRI

Next
Built with

Update Resident: MRI

Method
/mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentInformation

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resident_idstringRequired
The Propexo unique identifier for the resident

Request

This endpoint expects an object.
last_namestringRequired
The last name associated with the resident
lead_source_idstringOptional
The Propexo unique identifier for the lead source
first_namestringOptional
The first name associated with the resident
middle_initialstringOptional=1 character
The middle initial of the resident
phone_1stringOptional
Primary phone number associated with the resident
date_of_birthstringOptional
The date of birth associated with the resident
qualifiedbooleanOptional
Whether the resident is qualified
genderenumOptional
The gender of the resident
Allowed values:
guarantorbooleanOptional
Indicates if the resident is a guarantor for the primary resident.
monthly_income_in_centsintegerOptional>=0
The monthly income of the resident, in cents
email_1stringOptional
The primary email address associated with the resident
no_checks_in_cash_receiptsbooleanOptional
To restrict the resident from making payments by check, set this to true. Defaults to false.

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error